package com.alibaba.druid.sql.dialect.presto.parser;

import com.alibaba.druid.DbType;
import com.alibaba.druid.sql.parser.Lexer;
import com.alibaba.druid.sql.parser.SQLExprParser;
import com.alibaba.druid.sql.parser.SQLParserFeature;

public class PrestoExprParser extends SQLExprParser {
   public PrestoExprParser(String sql, SQLParserFeature... features) {
      this(new PrestoLexer(sql, features));
      this.lexer.nextToken();
   }

   public PrestoExprParser(Lexer lexer) {
      super(lexer);
      this.dbType = DbType.presto;
   }
}
